Commit 6c0644fe authored by anonym's avatar anonym
Browse files

Merge remote-tracking branch 'origin/devel' into feature/8925-tor-0.2.6

parents e1191a88 58ab9ba7
......@@ -21,7 +21,7 @@ AMNESIA_ISOHYBRID_OPTS="-h 255 -s 63"
# Minimal upstream version of syslinux-utils we need
REQUIRED_SYSLINUX_UTILS_UPSTREAM_VERSION="6.03~pre20"
### You should not have to change anything bellow this line ####################
### You should not have to change anything below this line ####################
# sanity checks
if [ ! -x "`which dpkg-parsechangelog`" ]; then
......
This diff is collapsed.
#!/bin/sh
# XXX: This hook is only needed in Wheezy-based Tails to fix #9011 and
# should be removed once Tails is based on Jessie.
set -e
echo "Fune-tuning syndaemon"
SYNDAEMON_PATH="/usr/bin/syndaemon"
SYNDAEMON_ORIG_PATH="${SYNDAEMON_PATH}.distrib"
dpkg-divert --rename --add "${SYNDAEMON_PATH}"
[ -x "${SYNDAEMON_ORIG_PATH}" ] || exit 1
cat > "${SYNDAEMON_PATH}" <<EOF
#!/bin/sh
# Temporary workaround for #9011 while Tails is based on Wheezy.
if ! echo "\${@}" | grep -qw -- "-t"; then
set -- "\${@}" -t
fi
exec ${SYNDAEMON_ORIG_PATH} "\${@}"
EOF
chmod a+rx "${SYNDAEMON_PATH}"
......@@ -58,9 +58,9 @@ copy_extra_tbb_prefs () {
local browser_prefs_dir="${chroot}/home/${browser_user}/.${browser_name}/profile.default/preferences"
mkdir -p "${browser_prefs_dir}"
# Selectively copy the TBB prefs we want
sed '/\(security\|update\|download\|spell\|noscript\|torbrowser\|torbutton\)/!d' "${tbb_prefs}/0000tails.js" > \
sed '/\(security\|update\|download\|spell\|noscript\|torbrowser\)/!d' "${tbb_prefs}/0000tails.js" > \
"${browser_prefs_dir}/0000tails.js"
sed '/\(capability\|noscript\|torbutton\)/!d' "${tbb_prefs}/extension-overrides.js" > \
sed '/\(capability\|noscript\)/!d' "${tbb_prefs}/extension-overrides.js" > \
"${browser_prefs_dir}/extension-overrides.js"
chown -R "${browser_user}:${browser_user}" "${browser_prefs_dir}"
}
......
......@@ -8,6 +8,9 @@ set -e
# Get LANG
. /etc/default/locale
# Get windows_camouflage_is_enabled
. /usr/local/lib/tails-shell-library/tails-greeter.sh
for i in $(seq 10); do
killall -SIGKILL vidalia || :
sleep 1
......@@ -16,6 +19,9 @@ for i in $(seq 10); do
fi
done
# We don't want to start Vidalia if Windows Camouflage is enabled (ticket #7400)
windows_camouflage_is_enabled && exit 0
until pgrep -u "${LIVE_USERNAME}" "^nm-applet$" >/dev/null ; do
sleep 5
done
......
......@@ -74,9 +74,13 @@ mac_spoof_panic() {
spoof_mac() {
local msg
if ! msg=$(macchanger -e "${1}" 2>&1); then
log "macchanger failed for NIC ${1}, returned ${?} and said: ${msg}"
return 1
set +e
msg="$(macchanger -e "${1}" 2>&1)"
ret="${?}"
set -e
if [ "${ret}" != 0 ]; then
log "macchanger failed for NIC ${1}, returned ${ret} and said: ${msg}"
exit 1
fi
}
......
/* Disable proxy settings. We also set the other settings that
Torbutton requires to be happy, i.e. its icon is green. */
pref("extensions.torbutton.http_port", 4444);
pref("extensions.torbutton.http_proxy", "127.0.0.1");
pref("extensions.torbutton.https_port", 4444);
pref("extensions.torbutton.https_proxy", "127.0.0.1");
pref("extensions.torbutton.custom.ftp_port", 4444);
pref("extensions.torbutton.custom.ftp_proxy", "127.0.0.1");
pref("extensions.torbutton.custom.http_port", 4444);
pref("extensions.torbutton.custom.http_proxy", "127.0.0.1");
pref("extensions.torbutton.custom.https_port", 4444);
pref("extensions.torbutton.custom.https_proxy", "127.0.0.1");
pref("extensions.torbutton.ftp_port", 4444);
pref("extensions.torbutton.ftp_proxy", "127.0.0.1");
pref("extensions.torbutton.gopher_port", 4444);
pref("extensions.torbutton.gopher_proxy", "127.0.0.1");
pref("extensions.torbutton.inserted_button", true);
pref("extensions.torbutton.settings_method", "custom");
pref("network.proxy.ftp", "127.0.0.1");
pref("network.proxy.ftp_port", 4444);
pref("network.proxy.http", "127.0.0.1");
......
......@@ -24,6 +24,11 @@
#wrapper-history-button,
#wrapper-bookmarks-button,
/* Remove the Addons menu options */
#menu_openAddons, /* traditional menu */
#add-ons-button, /* new style Firefox menu */
#wrapper-add-ons-button, /* Customize toolbar */
/* Hide the sidebar menu (underneath View) since the default sidebars consist
* of history and bookmarks. Also disable the bookmark toolbar.
*/
......@@ -42,7 +47,7 @@
#context-bookmarkpage,
/* Hide the option for emailing links since it's doomed to failure
* without a configured email client.
* without a configured email client in the chroot.
*/
menuitem[command="Browser:SendLink"],
......@@ -65,6 +70,11 @@ menuitem[command="Browser:SendLink"],
#sync-syncnowitem-appmenu,
#wrapper-sync-button,
/* Hide the "Keyboard shortcuts" and "Tour" options from
from the Help menu */
#menu_keyboardShortcuts,
#menu_openTour,
/* Without I2P search engines defined, the search bar is useless.
* Since there are no I2P search engines added to Tails (yet),
* let's hide it and the Update Pane in Firefox's Preferences.
......@@ -85,6 +95,7 @@ menuitem[command="Browser:SendLink"],
/* Hide the TorButton button from the toolbar */
#torbutton-button,
#wrapper-torbutton-button,
/* Hide TorBrowser Health Report and its configuration option */
#appmenu_healthReport,
......
c5877f9d9eac3f6ce5867f854981fc0196e2a66e08d77382e30a24f6724b06ab tor-browser-linux32-4.0.5_ar.tar.xz
b82fb144d928670c65a79efba03e6e3986028ef8f21f0dca6521391bf1eb97be tor-browser-linux32-4.0.5_de.tar.xz
c30c9897d3bf0056a36eafe5f5f8fe0c5e6b6077b5db1e62aed7503f07f992fa tor-browser-linux32-4.0.5_en-US.tar.xz
97b8c02291aefd0c26a58bea195f0bdbb3e674bedde86b2932d7c967ed94e5e8 tor-browser-linux32-4.0.5_es-ES.tar.xz
2416715fa5ce22e418aded24036410a6b46d63699cb503a3a2c4ef76926059c9 tor-browser-linux32-4.0.5_fa.tar.xz
9a302024b7f4f3fbfc5f6ac308f709813ded1e70326dfcc25b01daed2bc25c3c tor-browser-linux32-4.0.5_fr.tar.xz
3fdc087b3cdca20d8ef3cf3e857a63d3a1f19dfa9c13c4961b2fa7a5e8e64536 tor-browser-linux32-4.0.5_it.tar.xz
12a2f113728a36b318d01df8104f22e2ff0042e1b4532b0b16daa03406c06848 tor-browser-linux32-4.0.5_ko.tar.xz
d63aa334b11e986eec56abb06f2f41997c018da46c489b0533598e6213651b07 tor-browser-linux32-4.0.5_nl.tar.xz
8a7ee62ef9ac1c158239c1361e769c472f0ef70139898306d3f621756f98d80a tor-browser-linux32-4.0.5_pl.tar.xz
d98e37b95c665668a6b9235cdd657cfbfb19cf7bfbe2d3a277b7b664b59b2f50 tor-browser-linux32-4.0.5_pt-PT.tar.xz
7f4b244f0a69d0e7520ef3b12519b3dfcf01bbf161000bc4808d439eef979fd6 tor-browser-linux32-4.0.5_ru.tar.xz
34420fa5afc306d63b394068f026440fff97ebc8724edba1ce23c53a5aaa2c8b tor-browser-linux32-4.0.5_tr.tar.xz
4252d062ac002988c13fb718771d6f4ebe17f93b0ab8e2920e78038132d5a148 tor-browser-linux32-4.0.5_vi.tar.xz
0577c1e91d2b9be22731bdf9607caf93f78e62a806b4b46f8c24385f991abba7 tor-browser-linux32-4.0.5_zh-CN.tar.xz
406424d7f1ad3855d289588302727af1b768f953866b64250ef6a6f5cb606cdf tor-browser-linux32-4.0.6_ar.tar.xz
f6e9cac6a7fe0dd8f07f3ae6db4825dd01f3c7107cf5cc76e3225941278465ea tor-browser-linux32-4.0.6_de.tar.xz
89ce71312f5d73fc2af637a93d7697587b2132fce0e9f6e815b25ddba66518d0 tor-browser-linux32-4.0.6_en-US.tar.xz
aaad62547d6e853ebd7c1b9caf015b7bface28b0361a8cd2237a74b2b0585828 tor-browser-linux32-4.0.6_es-ES.tar.xz
957d2bacb6ec31f5412e5116e638ea8400c87d605a073f821c28920b9ef22ab6 tor-browser-linux32-4.0.6_fa.tar.xz
50c5f81766919b69ee7821bdcd5afb0c8e5502acbadcc5cf8a7584c219aa7591 tor-browser-linux32-4.0.6_fr.tar.xz
58a5e97a20758d403b117739592447b9f9c18f76260014cb1608be7336ae2a0c tor-browser-linux32-4.0.6_it.tar.xz
70c474140954f0d8c987eeb6d1aa3af3635f6f42d44bc6b6bb27ed8b3849ba7f tor-browser-linux32-4.0.6_ko.tar.xz
1f1f62672c38a72ee3680ba957bf0e5a283cf53e50ea7c359838e74142d965c6 tor-browser-linux32-4.0.6_nl.tar.xz
1405aa494de347c2969a25b65b63fa298d2e75d5614463bc40d1e750797903cd tor-browser-linux32-4.0.6_pl.tar.xz
3fea4dd1b4a8454cdd0e1da04db96911ede00eb281c1e0310968ec456e1043ec tor-browser-linux32-4.0.6_pt-PT.tar.xz
62895f4e44c1697efd6fde5ca5980ba65b567cf715fe2aa0d808857806d32067 tor-browser-linux32-4.0.6_ru.tar.xz
4a317403d798a776845d7cc8a5256106782e688920190507e0de39fe36cc6684 tor-browser-linux32-4.0.6_tr.tar.xz
d199acd8fe1f30b89dbe7e922887c14e420352f35954bed8095bbed1d637c687 tor-browser-linux32-4.0.6_vi.tar.xz
dc36fb7f93eca06a640f645fe8ba78bea97da17163434b00de3471f816f6c98e tor-browser-linux32-4.0.6_zh-CN.tar.xz
......@@ -4,11 +4,53 @@ tails (1.4) UNRELEASED; urgency=medium
-- Tails developers <tails@boum.org> Tue, 12 May 2015 12:34:56 +0000
tails (1.3.2) UNRELEASED; urgency=medium
tails (1.3.2) unstable; urgency=medium
* Dummy entry for next release.
* Security fixes
- Upgrade Tor Browser to 4.0.6, based on Firefox 31.6.0 ESR.
- Upgrade OpenSSL to 1.0.1e-2+deb7u16.
* Bugfixes
- Make Florence usable with touchpads by forcing syndaemon to
always use the `-t` option, which only disables tapping and
scrolling and not mouse movements (Closes: #9011).
- Make tails-spoof-mac log the correct macchanger exit code on
failure (Closes: #8687).
- Tails Installer:
· Ignore devices with less than 3.5 GB of storage since they
do not fit a Tails installation (Closes: #6538).
· Remove devices from the device list as they are unplugged
(Closes: #8691).
* Minor improvements
- Install obfs4proxy 0.0.4-1~tpo1, which adds support for
client-mode ScrambleSuit.
- Don't start Vidalia if Windows Camouflage is enabled. (Closes:
#7400)
- I2P Browser:
· Remove "Add-ons" from the Tools menu, and hide "Keyboard
Shortcuts" and "Take a Tour" since they point to resources on
the open Internet (Closes: #7970).
· Hide TorButton button from the customize toolbar options, and
remove configs whose only purpose was to make Torbutton "green"
(Closes: #8893).
* Test suite
- New tests:
· Test non-LAN SSH, and SFTP via GNOME's "Connect to Server"
(Closes: #6308).
· Verify that Tails' Tor binary has the expected Tor authorities
hard coded (Closes: #8960).
- Improvements:
· Programmatically determine the supported languages when testing
the Unsafe Browser (Closes: #8918).
· Rename --temp-dir to --tmpdir and make it behave more like
mktemp, and honour TMPDIR if set in the environment. (Closes:
#8709).
- Bugfixes:
· Make --temp-dir (now --tmpdir) actually work.
-- Tails developers <tails@boum.org> Tue, 31 Mar 2015 11:34:13 +0100
-- Tails developers <tails@boum.org> Mon, 30 Mar 2015 16:54:20 +0200
tails (1.3.1) unstable; urgency=medium
......
DEBUG: false
PAUSE_ON_FAIL: false
SIKULI_RETRY_FINDFAILED: false
TMP_DIR: "/tmp/TailsToaster"
TMPDIR: "/tmp/TailsToaster"
Unsafe_SSH_private_key: |
-----BEGIN RSA PRIVATE KEY-----
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment